%{?mingw_package_header}

Name:           mingw-rest
Version:        0.8.0
Release:        5%{?dist}
Summary:        A library for access to RESTful web services

License:        LGPLv2
URL:            https://wiki.gnome.org/Projects/Librest
Source0:        http://download.gnome.org/sources/rest/0.8/rest-%{version}.tar.xz

BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64

BuildRequires:  mingw32-filesystem >= 98
BuildRequires:  mingw64-filesystem >= 98
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libsoup
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libsoup
BuildRequires:  mingw64-libxml2

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw32-rest
Requires:       pkgconfig
Summary:        A library for access to RESTful web services

%description -n mingw32-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw32-rest-static
Requires:       pkgconfig
Requires:       mingw32-rest = %{version}-%{release}
Summary:        A library for access to RESTful web services

%description -n mingw32-rest-static
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw64-rest
Requires:       pkgconfig
Summary:        A library for access to RESTful web services

%description -n mingw64-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n     mingw64-rest-static
Requires:       pkgconfig
Requires:       mingw64-rest = %{version}-%{release}
Summary:        A library for access to RESTful web services

%description -n mingw64-rest-static
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%{?mingw_debug_package}

%prep
%setup -q -n rest-%{version}

%build
%mingw_configure                            \
    --disable-gtk-doc                       \
    --enable-introspection=no               \
    --enable-static

%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make install "DESTDIR=$RPM_BUILD_ROOT" INSTALL="install -p"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-rest
%license COPYING
%doc AUTHORS README
%{mingw32_bindir}/librest-0.7-0.dll
%{mingw32_libdir}/librest-0.7.dll.a
%{mingw32_bindir}/librest-extras-0.7-0.dll
%{mingw32_libdir}/librest-extras-0.7.dll.a
%{mingw32_libdir}/pkgconfig/rest*
%{mingw32_includedir}/rest-0.7

%files -n mingw32-rest-static
%{mingw32_libdir}/librest-0.7.a
%{mingw32_libdir}/librest-extras-0.7.a

%files -n mingw64-rest
%license COPYING
%doc AUTHORS README
%{mingw64_bindir}/librest-0.7-0.dll
%{mingw64_libdir}/librest-0.7.dll.a
%{mingw64_bindir}/librest-extras-0.7-0.dll
%{mingw64_libdir}/librest-extras-0.7.dll.a
%{mingw64_libdir}/pkgconfig/rest*
%{mingw64_includedir}/rest-0.7

%files -n mingw64-rest-static
%{mingw64_libdir}/librest-0.7.a
%{mingw64_libdir}/librest-extras-0.7.a

%changelog
* Fri Aug 17 2018 Eduardo Lima (Etrunko) <etrunko@redhat.com> - 0.8.0-5
- ExclusiveArch: i686, x86_64
  Related: rhbz#1615874

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep 16 2016 Kalev Lember <klember@redhat.com> - 0.8.0-1
- Update to 0.8.0
- Use license macro for COPYING
- Don't set group tags

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 24 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.7.92-1
- Initial Fedora packaging
